Bug 188777 - [PATCH] www/py-TurboGears: stage
Summary: [PATCH] www/py-TurboGears: stage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-python (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-18 23:00 UTC by Bartek Rutkowski
Modified: 2014-05-08 17:04 UTC (History)
1 user (show)

See Also:


Attachments
py-TurboGears-1.5.1.patch (561 bytes, patch)
2014-04-18 23:00 UTC, Bartek Rutkowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Rutkowski freebsd_committer 2014-04-18 23:00:00 UTC
- Stage
- Drop easy_install
- Use auto pkg-plist
- Delete pkg-plist

http://poudriere.ithil.palantiri.org:8080/latest-per-pkg/py27-TurboGears/1.5.1_2/

Port maintainer (python@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-18 23:00:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-05-08 16:59:46 UTC
Author: vanilla
Date: Thu May  8 15:59:41 2014
New Revision: 353321
URL: http://svnweb.freebsd.org/changeset/ports/353321
QAT: https://qat.redports.org/buildarchive/r353321/

Log:
  - Stage
  - Drop easy_install
  - Use auto pkg-plist
  - Delete pkg-plist
  
  PR:		ports/188777
  Submitted by:	Bartek Rutkowski <ports@robakdesign.com>
  Approved by:	portmgr@

Deleted:
  head/www/py-turbogears/pkg-plist
Modified:
  head/www/py-turbogears/Makefile

Modified: head/www/py-turbogears/Makefile
==============================================================================
--- head/www/py-turbogears/Makefile	Thu May  8 15:56:48 2014	(r353320)
+++ head/www/py-turbogears/Makefile	Thu May  8 15:59:41 2014	(r353321)
@@ -26,7 +26,8 @@ RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}cher
 
 USES=		gettext
 USE_PYTHON=	2
-USE_PYDISTUTILS=	easy_install
+USE_PYDISTUTILS=	yes
+PYDISTUTILS_AUTOPLIST=	yes
 
 OPTIONSFILE=	${PORT_DBDIR}/py-${PORTNAME}/options
 OPTIONS_DEFINE=	ELIXIR NOSE SQLOBJECT SQLALCHEMY
@@ -36,7 +37,6 @@ NOSE_DESC=	Use nose TG[testtools]
 SQLOBJECT_DESC=	Use SQLObject as DB backend
 SQLALCHEMY_DESC=Use SQLAlchemy as DB backend TG[future]
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 post-patch:
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Vanilla I. Shu freebsd_committer 2014-05-08 17:04:26 UTC
State Changed
From-To: open->closed

Committed, thanks.